<div class="container">
  <form #authorForm = "ngForm" (ngSubmit)="onSubmit(authorForm.value)">
    <h1>
      Template Driven Form Author
    </h1>
    <hr>
    <div class="row">
      <h4>Personal Information:</h4>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Firstname: </label>
      </div>
      <div class="col">
        <input type="text" placeholder="firstname" name="firstname" [(ngModel)]="firstname">
      </div>
    </div>

    <div class="row p-2">
      <div class="col">
        <label>Lastname: </label>
      </div>
      <div class="col">
        <input type="text" placeholder="lastname" name="lastname" [(ngModel)]="lastname">
      </div>
    </div>

    <div class="row p-2 check-group">
      <div class="col">
        <label>Gender: </label>
      </div>

      <div class="col p-2">
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Male" id="flexRadioDefault1" name="gender" checked [(ngModel)]="gender">
          <label class="form-check-label" for="flexRadioDefault1">
            Male
          </label>
        </div>
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Female" id="flexRadioDefault2" name="gender" [(ngModel)]="gender">
          <label class="form-check-label" for="flexRadioDefault2">
            Female
          </label>
        </div>
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Other" id="flexRadioDefault3" name="gender" [(ngModel)]="gender">
          <label class="form-check-label" for="flexRadioDefault2">
            Other
          </label>
        </div>
      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Phone number: </label>
      </div>
      <div class="col">
        <input type="text" placeholder="+355***" name="phoneNumber" [(ngModel)]="phoneNumber">
      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Email: </label>
      </div>
      <div class="col">
        <input type="email" placeholder="email" name="email" [(ngModel)]="email">
      </div>
    </div>
    <hr>
    <div class="row">
      <h4>Book List:</h4>
    </div>
      <div class="row p-2" *ngFor="let book of books; let i = index">
        <div class="col">
          <label>Title: </label>
        </div>
        <div class="col">
          <input type="text" placeholder="Book title" name="title_{{i}}" [(ngModel)]="book.title">
        </div>
      </div>
    <button type="button" class="btn btn-primary m-2 width-100" (click)="addBook()">Add Book</button>
    <button type="submit" class="btn btn-outline-primary m-2 width-100">Submit</button>
  </form>

</div>

